git-annex-checkpresentkey(1)

NAME
git-annex-checkpresentkey - check if key is present in remote

SYNOPSIS
git annex checkpresentkey key [remote]

DESCRIPTION
This plumbing-level command verifies if the specified key's content is present in the specified remote.

When no remote is specified, it verifies if the key's content is present in any accessible remotes.

Exits 0 if the content is verified present in the remote, or 1 if it is verified to not be present in the remote. If there is a problem, the special exit code 100 is used, and an error message is output to stderr.

OPTIONS

--batch

    Enables batch mode. In this mode, the key is not specified at the command line, but the remote may still be. Lines containing keys are read from stdin, and a line is output with "1" if the key is verified to be present, and "0" otherwise.

Also the git-annex-common-options(1) can be used.

SEE ALSO
git-annex(1)

AUTHOR
Joey Hess <id@joeyh.name>